=== unit-tests/Makefile ===
test :
	python unit -vv

clean :
	rm -f *.{py[oc],o,so} *~
