=== debian/changelog ===
python-dmidecode (3.10.13-3) unstable; urgency=low

  [ Sandro Tosi ]
  * Acknowledge NMU: 3.10.13-1.1
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2014 18:17:32 +0100

python-dmidecode (3.10.13-2) experimental; urgency=low

  * debian/{control, copyright}
    - updated upstream homepage; thanks to Jakub Wilk for the report;
      Closes: #540389
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
  * debian/copyright
    - add copyright for my contribution to Debian packaging

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Aug 2012 23:43:07 +0200

python-dmidecode (3.10.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/python-dmidecode-dbg.postinst: Fix directory to symlink upgrade in
    postinst. (Closes: #687882)

 -- David Prévot <taffit@debian.org>  Thu, 27 Sep 2012 10:27:35 -0400

python-dmidecode (3.10.13-1) unstable; urgency=low

  [ Nima Talebi]
  * Switch to dpkg-source 3.0 (quilt) format
  * Upstream bugfix release. See the following URI for details:
        https://bugzilla.redhat.com/show_bug.cgi?id=583867
  * Added a missing dependency (Closes: Bug#578891) - thanks to Sven Wick for
    the bug report.

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - set DPMT as maintainer, Nima & me as uploaders
    - remove useless Provides and XB-P-V
    - reorganize a bit source stanza fields, renaming XS-P-V to X-P-V
    - bump Standards-Version to 3.9.2 (no changes needed)
  * debian/rules
    - don't set DH_VERBOSE
    - fix build* targets deps as per lintian suggestion
  * debian/{mk.override, pyversions, upstream.changelog}
    - removed, useless
  * debian/{python-dmidecode-dbg.docs, rules}
    - don't install doc for -dbg, but symlink to the main module one

 -- Sandro Tosi <morph@debian.org>  Sat, 07 Jan 2012 15:56:32 +0100

python-dmidecode (3.10.11-2) unstable; urgency=low

  * Small fix to example file.

 -- Nima Talebi <nima@it.net.au>  Thu, 04 Mar 2010 10:55:55 +1100

python-dmidecode (3.10.11-1) unstable; urgency=low

  * New upstream release.
  * Log messages no longer handled via `fprintf' statements, but handled
    inside a data structure and dealt with accordingly.

 -- Nima Talebi <nima@it.net.au>  Tue, 16 Feb 2010 08:30:44 +1100

python-dmidecode (3.10.10-1) unstable; urgency=low

  * New upstream cleanup release.
  * This release has addressed the previously messy error/warning handling.

 -- Nima Talebi <nima@it.net.au>  Tue, 12 Jan 2010 11:59:27 +1100

python-dmidecode (3.10.9-1) unstable; urgency=low

  * New upstream bug-fix release.
  * Add --install-layout=deb to debian/rules setup.py install to prevent files
    from landing in /usr/local (Closes: Bug#563883) - thanks to Scott
    Kitterman.
 -- Nima Talebi <nima@it.net.au>  Tue, 05 Jan 2010 22:02:29 -0500

python-dmidecode (3.10.8-2) unstable; urgency=low

  * Resolved conflict between standard and debug package (Closes: #561904).

 -- Nima Talebi <nima@it.net.au>  Sun, 20 Dec 2009 11:17:37 +1100

python-dmidecode (3.10.8-1) unstable; urgency=low

  * New Upstream release.
  * Big-endian and little-endian approved.
  * Packaged unit-test to tarball.
  * Rewritten unit-test to be able to run as non-root user, where it will not
    try to read /dev/mem.
  * Added two dmidump data files to the unit-test.

 -- Nima Talebi <nima@it.net.au>  Tue, 15 Dec 2009 10:33:31 +1100

python-dmidecode (3.10.7-3) unstable; urgency=low

  * Last of URI fixes (#540389).

 -- Nima Talebi <nima@it.net.au>  Sun, 13 Dec 2009 04:20:55 +1100

python-dmidecode (3.10.7-2) unstable; urgency=low

  * Added libxml2 dependencies (Closes: #548669).

 -- Nima Talebi <nima@it.net.au>  Mon, 28 Sep 2009 18:59:05 +1000

python-dmidecode (3.10.7-1) unstable; urgency=low

  * New Upstream release.

 -- Nima Talebi <nima@it.net.au>  Wed, 23 Sep 2009 18:43:29 +1000

python-dmidecode (3.10.6-3) unstable; urgency=low

  * Updating debian/* to generate package.

 -- Nima Talebi <nima@it.net.au>  Wed, 09 Sep 2009 23:01:48 +1000

python-dmidecode (3.10.6-2) unstable; urgency=low

  * Fixed homepage (Closes: #540389).

 -- Nima Talebi <nima@it.net.au>  Sat, 08 Aug 2009 13:53:40 +1000

python-dmidecode (3.10.6-1) unstable; urgency=low

  * Introducing the XML extensions to python-dmidecode, by of David Sommerseth
    from Red Hat.  A big thankyou to David, Red Hat, and other people from
    Red Hat that contributed (and are still contributing) time and knowledge
    to this project.  These changes are summarized as follows...
  * Rewritten the internals to use libxml2 for (in memory) data storage.
  * Added much more useful information into the XML data than what the original
    data structured could held.
  * Implemented mapping methods to dynamically map XML fields to Python
    dictionaries.  The mapping itself is defined in an XML file utilising XPath
    expressions.
  * Prepared python-dmidecode for a native XML implementation from Python using
    libxml2.

 -- Nima Talebi <nima@it.net.au>  Sat, 23 May 2009 13:19:25 +1000

python-dmidecode (2.10.6-1) unstable; urgency=low

  * David Sommerseth, as part of wrting the XML (libxml2) extensions to
    python-dmidecode, noted a few abnormalities.  Sure enough, they were
    silent bugs introduced at the time of the initial writing of
    python-dmidecode (from dmidecode).  This has now been fixed.

 -- Nima Talebi <nima@it.net.au>  Wed, 20 May 2009 23:15:32 +1000

python-dmidecode (2.10.5-3) unstable; urgency=low

  * Converting to pysupport from pycentral.

 -- Nima Talebi <nima@it.net.au>  Fri, 17 Apr 2009 21:40:38 +1000

python-dmidecode (2.10.5-2) unstable; urgency=low

  * Minor cleanup.

 -- Nima Talebi <nima@it.net.au>  Tue, 14 Apr 2009 19:08:16 +1000


