=== debian/control ===
Source: python-dmidecode
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nima Talebi <nima@it.net.au>, Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>> 7), python-support (>= 0.5.3), python,
 python-all-dev (>= 2.5.4-2), python-all-dbg, libxml2-dev, python-libxml2
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-dmidecode/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-dmidecode/trunk/
Homepage: https://fedorahosted.org/python-dmidecode/

Package: python-dmidecode
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-libxml2
Description: Python extension module for dmidecode
 DMI (the desktop management interface) provides a standardized description of
 a computer's hardware, including characteristics such as BIOS serial number
 and hardware connectors.
 .
 This package provides an interface to the DMI data available from the BIOS.
 It is intended to be used as a back-end tool by other hardware detection
 programs implemented in Python.

Package: python-dmidecode-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python-dmidecode (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 python-dbg
Description: Python extension module for dmidecode (debug)
 DMI (the desktop management interface) provides a standardized description of
 a computer's hardware, including characteristics such as BIOS serial number
 and hardware connectors.
 .
 This package contains the extension built for the Python debug interpreter.
