=== debian/watch ===
version=3
http://src.autonomy.net.au/python-dmidecode/python-dmidecode-(.*).tar.gz
