## python-dmidecode 3.12.2

=== unit-tests/Makefile ===
PY_BIN := python2

test :
	$(PY_BIN) unit -vv

clean :
	rm -f *.{py[oc],o,so} *~
