=== debian/changelog ===
python-dmidecode (3.12.2-2) unstable; urgency=medium

  * debian/{python-dmidecode-dbg.docs, rules}
    - restore -dbg symlink to main pkg doc dir, lost during conversion to dh;
      Closes: #788446

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Nov 2015 16:45:27 +0000

python-dmidecode (3.12.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - run tests at build time
    - code is incompatible with std=gnu11 (default in GCC5), so set std=gnu89
  * debian/patches/
    - drop patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 14:53:16 +0100

python-dmidecode (3.12.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - set me as Maintainer, team as Uploaders
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/watch
    - update location to fedorahosted.org git snapshot
  * debian/copyright
    - converted to DEP-5 format
    - extend packaging copyright years
    - extend upstream copyright years
  * debian/rules
    - converted to dh sequencer
  * debian/{control, compat}
    - bump debhelper compat to 9
  * Switch to dh_python2
  * debian/python-dmidecode-dbg.postinst
    - removed
  * debian/patches/*
    - patches to support Python 3, still not enables as there is no py3k support
      for libxml2 yet

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Apr 2015 17:28:06 +0100
