=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-dmidecode
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Nima Talebi <nima@it.net.au>, Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>> 7), python-support (>= 0.5.3), python,
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), dh-python, python,
  python-all-dev (>= 2.5.4-2), python-all-dbg, libxml2-dev, python-libxml2
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-dmidecode/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-dmidecode/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-dmidecode.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-dmidecode.git
 Homepage: https://fedorahosted.org/python-dmidecode/
 
 Package: python-dmidecode
