=== debian/watch ===
version=3
https://git.fedorahosted.org/cgit/python-dmidecode.git/ /cgit/python-dmidecode.git/snapshot/python-dmidecode-(.*)\.tar.gz
