## python-dmidecode 3.12.3

=== debian/changelog ===
python-dmidecode (3.12.3-5) unstable; urgency=medium

  * Team upload.
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * Trim d/rules
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 22:27:40 +0200

python-dmidecode (3.12.3-4) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-setuptools (Closes: #1080739)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 14 Oct 2024 12:30:51 +0200

python-dmidecode (3.12.3-3) unstable; urgency=medium

  * d/control: Adopt package. Add myself as Uploaders. Closes: #1065233.
  * d/control: Bump debhelper-compat to 13 (from 12). No further changes
    needed.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.5.0; no further changes
    needed).
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 13 Mar 2024 18:52:12 -0300

python-dmidecode (3.12.3-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 00:47:52 -0500

python-dmidecode (3.12.3-1) unstable; urgency=medium

  [ Vasudev Kamath ]
  * New upstream release
  * Refresh patch: 0002-Stop-linking-with-libxml2mod.patch
  * Drop patch: 0001-Don-t merged upstream.
  * Drop patch: 0003-Fix-memory merged upstream.

  [ Alexandre Detiste ]
  * debian/patches/0006-Support-Python-3.10-s-2-digit-minor-version.patch
    - support Python 2-digits minor version, fixing a FTBFS; Closes: #1054813

 -- Sandro Tosi <morph@debian.org>  Sat, 20 Jan 2024 02:51:19 -0500

python-dmidecode (3.12.2-13) unstable; urgency=medium

  * Team upload.
  * Patch: Support Python 3.10's 2-digit minor version in the test runner.
    (Closes: #999373)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Nov 2021 23:24:23 -0400

python-dmidecode (3.12.2-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-dmidecode-data: Add Multi-Arch: foreign.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * remove -dbg package; Closes: #994351

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 19:35:19 -0400

python-dmidecode (3.12.2-11) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * Use pkg-config to find libxml2 linker flags, patch by Logan Rosen;
    Closes: #949486
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - wrap-and-sort

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Jul 2020 23:26:05 -0400

python-dmidecode (3.12.2-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * Drop python 2 support

 -- Sandro Tosi <morph@debian.org>  Wed, 21 Aug 2019 14:12:13 -0400

python-dmidecode (3.12.2-9) unstable; urgency=medium

  * revert symlink_to_dir for -dbg packages; Closes: #924007

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Mar 2019 14:49:11 -0500

python-dmidecode (3.12.2-8) unstable; urgency=medium

  * debian/rules
    - remove doc/ directories, to actually use dir_to_symlink; Closes: #919442
  * debian/*.maintscript
    - use prior-of tag at the end of the command-line

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Mar 2019 17:51:40 -0500

python-dmidecode (3.12.2-7) unstable; urgency=medium

  * debian/*.maintscript
    - properly handle the -dbg dir-to-symlink migration; Closes: #919442
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Jan 2019 23:09:03 -0500

python-dmidecode (3.12.2-6) unstable; urgency=medium

  * add breaks+replace for -data; Closes: #916767

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Dec 2018 19:50:28 -0500

python-dmidecode (3.12.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/patches/0003-Fix-memory-Type-Detail-map-size.patch
    - Fix memory Type Detail map size; Closes: #912258
  * build py3k package; Closes: #901582
  * debian/patches/0004-makefile-dont-cp.patch
    - dont copy the build extentiont to basedir: correct extensions detection is
      broken in upstream Makefile, and copying the extensions is not required
      anyway
  * debian/upstream.changelog
    - remove, obsolete
  * debian/pyversions
    - remove, obsolete
  * reorg doc files installation
  * add python-dmidecode-data, to install arch indep files

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Dec 2018 14:01:47 -0500

python-dmidecode (3.12.2-4) unstable; urgency=medium

  * debian/{control,copyright}
    - point upstream homepage to github, now that fedorahosted is retired
  * debian/watch
    - scan github for new releases
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
  * debian/patches/0001-Don-t-use-unaligned-access-on-ARM.patch
    - don't use unaligned access on ARM; patch by Steve Langasek;
      Closes: #864960
  * debian/patches/0002-Stop-linking-with-libxml2mod.patch
    - stop linking with libxml2mod; patch by Adrian Bunk; Closes: #867609


