=== debian/control ===
Source: python-dmidecode
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               liblzma-dev,
               libxml2-dev,
               pkgconf,
               python3-all-dev,
               python3-libxml2,
               python3-setuptools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dmidecode
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dmidecode.git
Homepage: https://github.com/nima/python-dmidecode
Rules-Requires-Root: no

Package: python3-dmidecode
Architecture: any
Depends: python-dmidecode-data,
         python3-libxml2,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python extension module for dmidecode - Python 3
 DMI (the desktop management interface) provides a standardized description of
 a computer's hardware, including characteristics such as BIOS serial number
 and hardware connectors.
 .
 This package provides an interface to the DMI data available from the BIOS.
 It is intended to be used as a back-end tool by other hardware detection
 programs implemented in Python.

Package: python-dmidecode-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Python extension module for dmidecode (debug) - Data
 DMI (the desktop management interface) provides a standardized description of
 a computer's hardware, including characteristics such as BIOS serial number
 and hardware connectors.
 .
 This package contains the common data files for dmidecode.
