=== debian/rules ===
#!/usr/bin/make -f
PYTHON3  = $(shell py3versions -s)

# Not to get undefined symbol: dmixml_GetContent
export CFLAGS=${CFLAGS-} -std=gnu89

%:
	dh $@

execute_after_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_build:
	set -e ;\
	for python in $(PYTHON3); do \
		$(MAKE) PY_BIN=$$python ; \
	done

override_dh_auto_install:
	set -e ;\
	for python in $(PYTHON3) ; do \
		$$python     src/setup.py     install_lib --install-dir $(CURDIR)/debian/python3-dmidecode/usr/lib/python3/dist-packages/ ; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e ;\
	for python in $(PYTHON3); do \
		$(MAKE) PY_BIN=$$python -C unit-tests test; \
	done
endif

override_dh_installdocs:
	dh_installdocs -A README doc/AUTHORS doc/changelog doc/README.types doc/AUTHORS.upstream doc/README.upstream
